package com.example.nto.service;

import com.example.nto.entity.Code;
import com.example.nto.entity.Employee;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Optional;

public interface EmployeeService {
    boolean existsByLogin(String login);

    void setLastVisitEmployee(long Id, LocalDateTime lastVisit);

    void setCodeEmployee(long Id, long code);

    Optional<Employee> findByLogin(String login);

    Optional<Code> findCodeById(Long id);

    List<Employee> getAllEmployees();
}
